com.corticon.rulesemf.canonicalrulemodel.rulesheet

## Interface RulesheetPackage.Literals

- Enclosing interface:
    RulesheetPackage

      public static interface RulesheetPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `ACTION` The meta object literal for the '`Action`' class
    `static org.eclipse.emf.ecore.EAttribute` | `ACTION__DISABLED` The meta object literal for the 'Disabled' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `ACTION__OPAQUE_EXPRESSION` The meta object literal for the 'Opaque Expression' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ACTION__RULE` The meta object literal for the 'Rule' container reference feature
    `static org.eclipse.emf.ecore.EClass` | `CONDITION` The meta object literal for the '`Condition`' class
    `static org.eclipse.emf.ecore.EAttribute` | `CONDITION__DISABLED` The meta object literal for the 'Disabled' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `CONDITION__OPAQUE_EXPRESSION` The meta object literal for the 'Opaque Expression' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `CONDITION__RULE` The meta object literal for the 'Rule' container reference feature
    `static org.eclipse.emf.ecore.EReference` | `CONDITION__VIEW_EXPRESSIONS` The meta object literal for the 'View Expressions' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `EFFECTIVITY_RANGE` The meta object literal for the '`Effectivity Range`' class
    `static org.eclipse.emf.ecore.EAttribute` | `EFFECTIVITY_RANGE__EFFECTIVE_DATE` The meta object literal for the 'Effective Date' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `EFFECTIVITY_RANGE__EXPIRATION_DATE` The meta object literal for the 'Expiration Date' attribute feature
    `static org.eclipse.emf.ecore.EEnum` | `ENGINE_OPERATION_MODE` The meta object literal for the '`Engine Operation Mode`' enum
    `static org.eclipse.emf.ecore.EClass` | `FILTER` The meta object literal for the '`Filter`' class
    `static org.eclipse.emf.ecore.EAttribute` | `FILTER__DATABASE` The meta object literal for the 'Database' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `FILTER__DISABLED` The meta object literal for the 'Disabled' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `FILTER__LOGICAL_VARIABLES` The meta object literal for the 'Logical Variables' reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `FILTER__MINIMUM` The meta object literal for the 'Minimum' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `FILTER__OPAQUE_EXPRESSION` The meta object literal for the 'Opaque Expression' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `FILTER__PRECONDITION` The meta object literal for the 'Precondition' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `FILTER__RULESET` The meta object literal for the 'Ruleset' container reference feature
    `static org.eclipse.emf.ecore.EClass` | `LOGICAL_VARIABLE` The meta object literal for the '`Logical Variable`' class
    `static org.eclipse.emf.ecore.EReference` | `LOGICAL_VARIABLE__ALIAS` The meta object literal for the 'Alias' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `LOGICAL_VARIABLE__ASSOCIATION` The meta object literal for the 'Association' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `LOGICAL_VARIABLE__ENTITY` The meta object literal for the 'Entity' reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `LOGICAL_VARIABLE__EXPLICIT` The meta object literal for the 'Explicit' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `LOGICAL_VARIABLE__EXTEND_TO_DATABASE` The meta object literal for the 'Extend To Database' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `LOGICAL_VARIABLE__EXTENDED_FROM` The meta object literal for the 'Extended From' container reference feature
    `static org.eclipse.emf.ecore.EReference` | `LOGICAL_VARIABLE__EXTENSION` The meta object literal for the 'Extension' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `LOGICAL_VARIABLE__FILTERS` The meta object literal for the 'Filters' reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `LOGICAL_VARIABLE__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `LOGICAL_VARIABLE__QUALIFIED` The meta object literal for the 'Qualified' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `LOGICAL_VARIABLE__QUALIFIER` The meta object literal for the 'Qualifier' reference feature
    `static org.eclipse.emf.ecore.EReference` | `LOGICAL_VARIABLE__REFERENCED_ATTRIBUTES` The meta object literal for the 'Referenced Attributes' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `LOGICAL_VARIABLE__RULE_STATEMENTS` The meta object literal for the 'Rule Statements' reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `LOGICAL_VARIABLE__SORTED_ALIAS_ATTRIBUTE_NAME` The meta object literal for the 'Sorted Alias Attribute Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `LOGICAL_VARIABLE__SORTED_ALIAS_DESCENDING` The meta object literal for the 'Sorted Alias Descending' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `LOGICAL_VARIABLE__TRAVERSED_ASSOC_ROLE` The meta object literal for the 'Traversed Assoc Role' reference feature
    `static org.eclipse.emf.ecore.EEnum` | `MESSAGE_SEVERITY` The meta object literal for the '`Message Severity`' enum
    `static org.eclipse.emf.ecore.EClass` | `PRULE` The meta object literal for the '`PRule`' class
    `static org.eclipse.emf.ecore.EReference` | `PRULE__ACTIONS` The meta object literal for the 'Actions' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `PRULE__CONDITIONS` The meta object literal for the 'Conditions' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `PRULE__DISABLED` The meta object literal for the 'Disabled' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `PRULE__OVERRIDDEN_BY` The meta object literal for the 'Overridden By' reference list feature
    `static org.eclipse.emf.ecore.EReference` | `PRULE__OVERRIDES` The meta object literal for the 'Overrides' reference list feature
    `static org.eclipse.emf.ecore.EReference` | `PRULE__RULESET` The meta object literal for the 'Ruleset' container reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `PRULE__USE_CONDITIONS_AS_THRESHOLDS` The meta object literal for the 'Use Conditions As Thresholds' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `PRULESET` The meta object literal for the '`PRuleset`' class
    `static org.eclipse.emf.ecore.EReference` | `PRULESET__EFFECTIVITY_RANGE` The meta object literal for the 'Effectivity Range' reference list feature
    `static org.eclipse.emf.ecore.EReference` | `PRULESET__FILTERS` The meta object literal for the 'Filters' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `PRULESET__LOGICAL_VARIABLES` The meta object literal for the 'Logical Variables' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `PRULESET__OPERATION_MODE` The meta object literal for the 'Operation Mode' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `PRULESET__ROOT_ENTITY` The meta object literal for the 'Root Entity' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `PRULESET__RULE_STATEMENTS` The meta object literal for the 'Rule Statements' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `PRULESET__RULES` The meta object literal for the 'Rules' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `PRULESET__VERSION_LABEL` The meta object literal for the 'Version Label' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `PRULESET__VERSION_NO` The meta object literal for the 'Version No' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `PRULESET__VOCABULARY` The meta object literal for the 'Vocabulary' reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `PRULESET__VOCABULARY_UPDATE_STAMP` The meta object literal for the 'Vocabulary Update Stamp' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `REFERENCED_ATTRIBUTE` The meta object literal for the '`Referenced Attribute`' class
    `static org.eclipse.emf.ecore.EReference` | `REFERENCED_ATTRIBUTE__ATTRIBUTE` The meta object literal for the 'Attribute' reference feature
    `static org.eclipse.emf.ecore.EClass` | `RULE_STATEMENT` The meta object literal for the '`Rule Statement`' class
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT__ALIAS` The meta object literal for the 'Alias' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT__CATEGORY` The meta object literal for the 'Category' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT__COMMENTS` The meta object literal for the 'Comments' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT__DISABLED` The meta object literal for the 'Disabled' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT__EXTERNAL_ID` The meta object literal for the 'External ID' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `RULE_STATEMENT__LOGICAL_VARIABLE` The meta object literal for the 'Logical Variable' reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT__POST` The meta object literal for the 'Post' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT__RULE_LINK` The meta object literal for the 'Rule Link' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `RULE_STATEMENT__RULE_MODEL_ELEMENTS` The meta object literal for the 'Rule Model Elements' reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT__RULE_NAME` The meta object literal for the 'Rule Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `RULE_STATEMENT__RULESET` The meta object literal for the 'Ruleset' container reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT__SOURCE_LINK` The meta object literal for the 'Source Link' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT__SOURCE_NAME` The meta object literal for the 'Source Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `RULE_STATEMENT__TEXT` The meta object literal for the 'Text' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `RULESHEET_STRING` The meta object literal for the '`String`' class
    `static org.eclipse.emf.ecore.EAttribute` | `RULESHEET_STRING__VALUE` The meta object literal for the 'Value' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `VIEW_EXPRESSIONS` The meta object literal for the '`View Expressions`' class
    `static org.eclipse.emf.ecore.EAttribute` | `VIEW_EXPRESSIONS__LHS` The meta object literal for the 'Lhs' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `VIEW_EXPRESSIONS__RHS` The meta object literal for the 'Rhs' attribute feature

- - ### Field Detail

    - #### ACTION

          static final org.eclipse.emf.ecore.EClass ACTION

      The meta object literal for the '`Action`' class.
      See Also:
        `ActionImpl`, `RulesheetPackageImpl.getAction()`

    - #### ACTION__DISABLED

          static final org.eclipse.emf.ecore.EAttribute ACTION__DISABLED

      The meta object literal for the 'Disabled' attribute feature.

    - #### ACTION__OPAQUE_EXPRESSION

          static final org.eclipse.emf.ecore.EReference ACTION__OPAQUE_EXPRESSION

      The meta object literal for the 'Opaque Expression' containment reference feature.

    - #### ACTION__RULE

          static final org.eclipse.emf.ecore.EReference ACTION__RULE

      The meta object literal for the 'Rule' container reference feature.

    - #### CONDITION

          static final org.eclipse.emf.ecore.EClass CONDITION

      The meta object literal for the '`Condition`' class.
      See Also:
        `ConditionImpl`, `RulesheetPackageImpl.getCondition()`

    - #### CONDITION__DISABLED

          static final org.eclipse.emf.ecore.EAttribute CONDITION__DISABLED

      The meta object literal for the 'Disabled' attribute feature.

    - #### CONDITION__OPAQUE_EXPRESSION

          static final org.eclipse.emf.ecore.EReference CONDITION__OPAQUE_EXPRESSION

      The meta object literal for the 'Opaque Expression' containment reference feature.

    - #### CONDITION__RULE

          static final org.eclipse.emf.ecore.EReference CONDITION__RULE

      The meta object literal for the 'Rule' container reference feature.

    - #### CONDITION__VIEW_EXPRESSIONS

          static final org.eclipse.emf.ecore.EReference CONDITION__VIEW_EXPRESSIONS

      The meta object literal for the 'View Expressions' containment reference feature.

    - #### EFFECTIVITY_RANGE

          static final org.eclipse.emf.ecore.EClass EFFECTIVITY_RANGE

      The meta object literal for the '`Effectivity Range`' class.
      See Also:
        `EffectivityRangeImpl`, `RulesheetPackageImpl.getEffectivityRange()`

    - #### EFFECTIVITY_RANGE__EFFECTIVE_DATE

          static final org.eclipse.emf.ecore.EAttribute EFFECTIVITY_RANGE__EFFECTIVE_DATE

      The meta object literal for the 'Effective Date' attribute feature.

    - #### EFFECTIVITY_RANGE__EXPIRATION_DATE

          static final org.eclipse.emf.ecore.EAttribute EFFECTIVITY_RANGE__EXPIRATION_DATE

      The meta object literal for the 'Expiration Date' attribute feature.

    - #### FILTER

          static final org.eclipse.emf.ecore.EClass FILTER

      The meta object literal for the '`Filter`' class.
      See Also:
        `FilterImpl`, `RulesheetPackageImpl.getFilter()`

    - #### FILTER__PRECONDITION

          static final org.eclipse.emf.ecore.EAttribute FILTER__PRECONDITION

      The meta object literal for the 'Precondition' attribute feature.

    - #### FILTER__MINIMUM

          static final org.eclipse.emf.ecore.EAttribute FILTER__MINIMUM

      The meta object literal for the 'Minimum' attribute feature.

    - #### FILTER__DISABLED

          static final org.eclipse.emf.ecore.EAttribute FILTER__DISABLED

      The meta object literal for the 'Disabled' attribute feature.

    - #### FILTER__DATABASE

          static final org.eclipse.emf.ecore.EAttribute FILTER__DATABASE

      The meta object literal for the 'Database' attribute feature.

    - #### FILTER__RULESET

          static final org.eclipse.emf.ecore.EReference FILTER__RULESET

      The meta object literal for the 'Ruleset' container reference feature.

    - #### FILTER__OPAQUE_EXPRESSION

          static final org.eclipse.emf.ecore.EReference FILTER__OPAQUE_EXPRESSION

      The meta object literal for the 'Opaque Expression' containment reference feature.

    - #### FILTER__LOGICAL_VARIABLES

          static final org.eclipse.emf.ecore.EReference FILTER__LOGICAL_VARIABLES

      The meta object literal for the 'Logical Variables' reference list feature.

    - #### LOGICAL_VARIABLE

          static final org.eclipse.emf.ecore.EClass LOGICAL_VARIABLE

      The meta object literal for the '`Logical Variable`' class.
      See Also:
        `LogicalVariableImpl`, `RulesheetPackageImpl.getLogicalVariable()`

    - #### LOGICAL_VARIABLE__NAME

          static final org.eclipse.emf.ecore.EAttribute LOGICAL_VARIABLE__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### LOGICAL_VARIABLE__ALIAS

          static final org.eclipse.emf.ecore.EReference LOGICAL_VARIABLE__ALIAS

      The meta object literal for the 'Alias' containment reference list feature.

    - #### LOGICAL_VARIABLE__EXPLICIT

          static final org.eclipse.emf.ecore.EAttribute LOGICAL_VARIABLE__EXPLICIT

      The meta object literal for the 'Explicit' attribute feature.

    - #### LOGICAL_VARIABLE__ASSOCIATION

          static final org.eclipse.emf.ecore.EAttribute LOGICAL_VARIABLE__ASSOCIATION

      The meta object literal for the 'Association' attribute feature.

    - #### LOGICAL_VARIABLE__QUALIFIED

          static final org.eclipse.emf.ecore.EAttribute LOGICAL_VARIABLE__QUALIFIED

      The meta object literal for the 'Qualified' attribute feature.

    - #### LOGICAL_VARIABLE__SORTED_ALIAS_ATTRIBUTE_NAME

          static final org.eclipse.emf.ecore.EAttribute LOGICAL_VARIABLE__SORTED_ALIAS_ATTRIBUTE_NAME

      The meta object literal for the 'Sorted Alias Attribute Name' attribute feature.

    - #### LOGICAL_VARIABLE__SORTED_ALIAS_DESCENDING

          static final org.eclipse.emf.ecore.EAttribute LOGICAL_VARIABLE__SORTED_ALIAS_DESCENDING

      The meta object literal for the 'Sorted Alias Descending' attribute feature.

    - #### LOGICAL_VARIABLE__EXTEND_TO_DATABASE

          static final org.eclipse.emf.ecore.EAttribute LOGICAL_VARIABLE__EXTEND_TO_DATABASE

      The meta object literal for the 'Extend To Database' attribute feature.

    - #### LOGICAL_VARIABLE__QUALIFIER

          static final org.eclipse.emf.ecore.EReference LOGICAL_VARIABLE__QUALIFIER

      The meta object literal for the 'Qualifier' reference feature.

    - #### LOGICAL_VARIABLE__RULE_STATEMENTS

          static final org.eclipse.emf.ecore.EReference LOGICAL_VARIABLE__RULE_STATEMENTS

      The meta object literal for the 'Rule Statements' reference list feature.

    - #### LOGICAL_VARIABLE__REFERENCED_ATTRIBUTES

          static final org.eclipse.emf.ecore.EReference LOGICAL_VARIABLE__REFERENCED_ATTRIBUTES

      The meta object literal for the 'Referenced Attributes' containment reference list feature.

    - #### LOGICAL_VARIABLE__FILTERS

          static final org.eclipse.emf.ecore.EReference LOGICAL_VARIABLE__FILTERS

      The meta object literal for the 'Filters' reference list feature.

    - #### LOGICAL_VARIABLE__EXTENDED_FROM

          static final org.eclipse.emf.ecore.EReference LOGICAL_VARIABLE__EXTENDED_FROM

      The meta object literal for the 'Extended From' container reference feature.

    - #### LOGICAL_VARIABLE__EXTENSION

          static final org.eclipse.emf.ecore.EReference LOGICAL_VARIABLE__EXTENSION

      The meta object literal for the 'Extension' containment reference list feature.

    - #### LOGICAL_VARIABLE__ENTITY

          static final org.eclipse.emf.ecore.EReference LOGICAL_VARIABLE__ENTITY

      The meta object literal for the 'Entity' reference feature.

    - #### LOGICAL_VARIABLE__TRAVERSED_ASSOC_ROLE

          static final org.eclipse.emf.ecore.EReference LOGICAL_VARIABLE__TRAVERSED_ASSOC_ROLE

      The meta object literal for the 'Traversed Assoc Role' reference feature.

    - #### PRULE

          static final org.eclipse.emf.ecore.EClass PRULE

      The meta object literal for the '`PRule`' class.
      See Also:
        `PRuleImpl`, `RulesheetPackageImpl.getPRule()`

    - #### PRULE__DISABLED

          static final org.eclipse.emf.ecore.EAttribute PRULE__DISABLED

      The meta object literal for the 'Disabled' attribute feature.

    - #### PRULE__USE_CONDITIONS_AS_THRESHOLDS

          static final org.eclipse.emf.ecore.EAttribute PRULE__USE_CONDITIONS_AS_THRESHOLDS

      The meta object literal for the 'Use Conditions As Thresholds' attribute feature.

    - #### PRULE__RULESET

          static final org.eclipse.emf.ecore.EReference PRULE__RULESET

      The meta object literal for the 'Ruleset' container reference feature.

    - #### PRULE__CONDITIONS

          static final org.eclipse.emf.ecore.EReference PRULE__CONDITIONS

      The meta object literal for the 'Conditions' containment reference list feature.

    - #### PRULE__OVERRIDES

          static final org.eclipse.emf.ecore.EReference PRULE__OVERRIDES

      The meta object literal for the 'Overrides' reference list feature.

    - #### PRULE__OVERRIDDEN_BY

          static final org.eclipse.emf.ecore.EReference PRULE__OVERRIDDEN_BY

      The meta object literal for the 'Overridden By' reference list feature.

    - #### PRULE__ACTIONS

          static final org.eclipse.emf.ecore.EReference PRULE__ACTIONS

      The meta object literal for the 'Actions' containment reference list feature.

    - #### PRULESET

          static final org.eclipse.emf.ecore.EClass PRULESET

      The meta object literal for the '`PRuleset`' class.
      See Also:
        `PRulesetImpl`, `RulesheetPackageImpl.getPRuleset()`

    - #### PRULESET__OPERATION_MODE

          static final org.eclipse.emf.ecore.EAttribute PRULESET__OPERATION_MODE

      The meta object literal for the 'Operation Mode' attribute feature.

    - #### PRULESET__VERSION_NO

          static final org.eclipse.emf.ecore.EAttribute PRULESET__VERSION_NO

      The meta object literal for the 'Version No' attribute feature.

    - #### PRULESET__VERSION_LABEL

          static final org.eclipse.emf.ecore.EAttribute PRULESET__VERSION_LABEL

      The meta object literal for the 'Version Label' attribute feature.

    - #### PRULESET__VOCABULARY_UPDATE_STAMP

          static final org.eclipse.emf.ecore.EAttribute PRULESET__VOCABULARY_UPDATE_STAMP

      The meta object literal for the 'Vocabulary Update Stamp' attribute feature.

    - #### PRULESET__RULES

          static final org.eclipse.emf.ecore.EReference PRULESET__RULES

      The meta object literal for the 'Rules' containment reference list feature.

    - #### PRULESET__FILTERS

          static final org.eclipse.emf.ecore.EReference PRULESET__FILTERS

      The meta object literal for the 'Filters' containment reference list feature.

    - #### PRULESET__EFFECTIVITY_RANGE

          static final org.eclipse.emf.ecore.EReference PRULESET__EFFECTIVITY_RANGE

      The meta object literal for the 'Effectivity Range' reference list feature.

    - #### PRULESET__ROOT_ENTITY

          static final org.eclipse.emf.ecore.EReference PRULESET__ROOT_ENTITY

      The meta object literal for the 'Root Entity' containment reference list feature.

    - #### PRULESET__RULE_STATEMENTS

          static final org.eclipse.emf.ecore.EReference PRULESET__RULE_STATEMENTS

      The meta object literal for the 'Rule Statements' containment reference list feature.

    - #### PRULESET__VOCABULARY

          static final org.eclipse.emf.ecore.EReference PRULESET__VOCABULARY

      The meta object literal for the 'Vocabulary' reference feature.

    - #### PRULESET__LOGICAL_VARIABLES

          static final org.eclipse.emf.ecore.EReference PRULESET__LOGICAL_VARIABLES

      The meta object literal for the 'Logical Variables' containment reference list feature.

    - #### RULE_STATEMENT

          static final org.eclipse.emf.ecore.EClass RULE_STATEMENT

      The meta object literal for the '`Rule Statement`' class.
      See Also:
        `RuleStatementImpl`, `RulesheetPackageImpl.getRuleStatement()`

    - #### RULE_STATEMENT__TEXT

          static final org.eclipse.emf.ecore.EReference RULE_STATEMENT__TEXT

      The meta object literal for the 'Text' containment reference list feature.

    - #### RULE_STATEMENT__EXTERNAL_ID

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT__EXTERNAL_ID

      The meta object literal for the 'External ID' attribute feature.

    - #### RULE_STATEMENT__POST

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT__POST

      The meta object literal for the 'Post' attribute feature.

    - #### RULE_STATEMENT__ALIAS

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT__ALIAS

      The meta object literal for the 'Alias' attribute feature.

    - #### RULE_STATEMENT__RULE_NAME

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT__RULE_NAME

      The meta object literal for the 'Rule Name' attribute feature.

    - #### RULE_STATEMENT__RULE_LINK

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT__RULE_LINK

      The meta object literal for the 'Rule Link' attribute feature.

    - #### RULE_STATEMENT__SOURCE_NAME

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT__SOURCE_NAME

      The meta object literal for the 'Source Name' attribute feature.

    - #### RULE_STATEMENT__SOURCE_LINK

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT__SOURCE_LINK

      The meta object literal for the 'Source Link' attribute feature.

    - #### RULE_STATEMENT__CATEGORY

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT__CATEGORY

      The meta object literal for the 'Category' attribute feature.

    - #### RULE_STATEMENT__COMMENTS

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT__COMMENTS

      The meta object literal for the 'Comments' attribute feature.

    - #### RULE_STATEMENT__DISABLED

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT__DISABLED

      The meta object literal for the 'Disabled' attribute feature.

    - #### RULE_STATEMENT__RULESET

          static final org.eclipse.emf.ecore.EReference RULE_STATEMENT__RULESET

      The meta object literal for the 'Ruleset' container reference feature.

    - #### RULE_STATEMENT__RULE_MODEL_ELEMENTS

          static final org.eclipse.emf.ecore.EReference RULE_STATEMENT__RULE_MODEL_ELEMENTS

      The meta object literal for the 'Rule Model Elements' reference list feature.

    - #### RULE_STATEMENT__LOGICAL_VARIABLE

          static final org.eclipse.emf.ecore.EReference RULE_STATEMENT__LOGICAL_VARIABLE

      The meta object literal for the 'Logical Variable' reference feature.

    - #### RULESHEET_STRING

          static final org.eclipse.emf.ecore.EClass RULESHEET_STRING

      The meta object literal for the '`String`' class.
      See Also:
        `RulesheetStringImpl`, `RulesheetPackageImpl.getRulesheetString()`

    - #### RULESHEET_STRING__VALUE

          static final org.eclipse.emf.ecore.EAttribute RULESHEET_STRING__VALUE

      The meta object literal for the 'Value' attribute feature.

    - #### REFERENCED_ATTRIBUTE

          static final org.eclipse.emf.ecore.EClass REFERENCED_ATTRIBUTE

      The meta object literal for the '`Referenced Attribute`' class.
      See Also:
        `ReferencedAttributeImpl`, `RulesheetPackageImpl.getReferencedAttribute()`

    - #### REFERENCED_ATTRIBUTE__ATTRIBUTE

          static final org.eclipse.emf.ecore.EReference REFERENCED_ATTRIBUTE__ATTRIBUTE

      The meta object literal for the 'Attribute' reference feature.

    - #### VIEW_EXPRESSIONS

          static final org.eclipse.emf.ecore.EClass VIEW_EXPRESSIONS

      The meta object literal for the '`View Expressions`' class.
      See Also:
        `ViewExpressionsImpl`, `RulesheetPackageImpl.getViewExpressions()`

    - #### VIEW_EXPRESSIONS__LHS

          static final org.eclipse.emf.ecore.EAttribute VIEW_EXPRESSIONS__LHS

      The meta object literal for the 'Lhs' attribute feature.

    - #### VIEW_EXPRESSIONS__RHS

          static final org.eclipse.emf.ecore.EAttribute VIEW_EXPRESSIONS__RHS

      The meta object literal for the 'Rhs' attribute feature.

    - #### ENGINE_OPERATION_MODE

          static final org.eclipse.emf.ecore.EEnum ENGINE_OPERATION_MODE

      The meta object literal for the '`Engine Operation Mode`' enum.
      See Also:
        `EngineOperationMode`, `RulesheetPackageImpl.getEngineOperationMode()`

    - #### MESSAGE_SEVERITY

          static final org.eclipse.emf.ecore.EEnum MESSAGE_SEVERITY

      The meta object literal for the '`Message Severity`' enum.
      See Also:
        `MessageSeverity`, `RulesheetPackageImpl.getMessageSeverity()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.